Bug 1612660 (CVE-2018-10929) - CVE-2018-10929 glusterfs: Arbitrary file creation on storage server allows for execution of arbitrary code
Summary: CVE-2018-10929 glusterfs: Arbitrary file creation on storage server allows fo...
Status: NEW
Alias: CVE-2018-10929
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180904:0530...
Keywords: Security
Depends On: 1625072 1613684 1616829 1625069
Blocks: 1609600
TreeView+ depends on / blocked
 
Reported: 2018-08-06 06:00 UTC by Sam Fowler
Modified: 2018-11-05 23:15 UTC (History)
30 users (show)

Fixed In Version: glusterfs-3.12.14, glusterfs-4.1.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in RPC request using gfs2_create_req in glusterfs server. An authenticated attacker could use this flaw to create arbitrary files and execute arbitrary code on glusterfs server nodes.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:25 UTC
Red Hat Product Errata RHSA-2018:2608 None None None 2018-09-04 06:26 UTC
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 14:57 UTC

Description Sam Fowler 2018-08-06 06:00:56 UTC
The Gluster filesystem allows remote attackers to create arbitrary files on the storage server via mounted gluster volumes. An attacker could subsequently exploit this to execute arbitrary privileged commands.

Comment 1 Sam Fowler 2018-08-06 06:01:05 UTC
Acknowledgments:

Name: Michael Hanselmann (hansmi.ch)

Comment 5 Doran Moppert 2018-08-16 01:54:57 UTC
Statement:

This issue did not affect Red Hat Enterprise Linux 6 and 7 as the flaw is present in glusterfs-server, which is not shipped there.

This flaw affects glusterfs versions included in Red Hat Virtualization 4 Hypervisor. However, in recommended configurations, the vulnerability is only exposed to hypervisor administrators and can not be exploited from virtual machines or other hosts on the network. For Red Hat Virtualization, Product Security has rated this flaw as Moderate. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 7 Siddharth Sharma 2018-09-04 05:39:18 UTC
Created glusterfs tracking bugs for this issue:

Affects: fedora-all [bug 1625069]

Comment 9 errata-xmlrpc 2018-09-04 06:25:11 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 7
  Native Client for RHEL 7 for Red Hat Storage

Via RHSA-2018:2607 https://access.redhat.com/errata/RHSA-2018:2607

Comment 10 errata-xmlrpc 2018-09-04 06:26:34 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 6
  Native Client for RHEL 6 for Red Hat Storage

Via RHSA-2018:2608 https://access.redhat.com/errata/RHSA-2018:2608

Comment 11 Siddharth Sharma 2018-09-04 14:56:56 UTC
Mitigation:

To limit exposure of gluster server nodes :  

1. gluster server should be on LAN and not reachable from public networks.  
2. Use gluster auth.allow and auth.reject.  
3. Use TLS certificates to authenticate gluster clients.

caveat: This does not protect from attacks by authenticated gluster clients.

Comment 12 Siddharth Sharma 2018-09-05 07:46:49 UTC
upstream fix

https://review.gluster.org/21068

Comment 13 errata-xmlrpc 2018-11-05 14:57:38 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2018:3470 https://access.redhat.com/errata/RHSA-2018:3470


Note You need to log in before you can comment on or make changes to this bug.